## mediabox 2010.07.17

=== debian/changelog ===
mediabox (2010.07.17) unstable; urgency=low

  Enabled playback position bookmarking from 0.96.x again
  
  Added support for custom internet radio stations
  
  Added table of contents and navigation buttons to the tour
  
  Fixed small bug in the LRC lyrics parser
  
  Fixed bug: doesn't get caught in HTTP redirect loops anymore
  
  Fixed bug: don't forget to shutdown player backend at exit anymore
  
  Added D-Bus interface for loading media

 -- Martin Grimme <martin.grimme@lintegra.de>  Sat, 17 Jul 2010 17:15:00 +0200

## mediabox 2010.07.22

=== debian/changelog ===
mediabox (2010.07.22) unstable; urgency=low

  YouTube videos play again after YouTube changed their site.

 -- Martin Grimme <martin.grimme@lintegra.de>  Thu, 22 Jul 2010 21:15:00 +0200

## mediabox 2010.07.23

=== debian/changelog ===
mediabox (2010.07.23) unstable; urgency=low

  Fixed bug with YouTube playback

  Asynchronous HTTP downloader is now threaded

 -- Martin Grimme <martin.grimme@lintegra.de>  Fri, 23 Jul 2010 18:30:00 +0200

=== debian/control ===
Source: mediabox
Section: user/multimedia
Priority: optional
Maintainer: Martin Grimme <martin.grimme@lintegra.de>
Build-Depends: debhelper (>= 5), python2.5
Standards-Version: 3.7.2

Package: mediabox
Architecture: any
Depends: python2.5, python2.5-gtk2, python2.5-gobject, python2.5-osso, python2.5-hildon, python2.5-gnome, python2.5-dbus, python2.5-gstreamer, mplayer
Description: Media Center for Nokia Internet Tablets
 MediaBox Media Center was built to handle large collections of media and lets you browse and play your music and videos and show your photos either from your memory cards, or remotely over the network via UPnP/DLNA.
XB-Maemo-Display-Name: MediaBox Media Center
XSBC-Bugtracker: https://bugs.maemo.org/enter_bug.cgi?product=MediaBox
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAABgAAAAYCAYAAADgdz34AAAABmJLR0QAAAAAAAD5Q7t/AAAACXBIWXM
 AAA3WAAAN1gGQb3mcAAACoklEQVRIx+2US0iUURTHf/ebr9EZxxkVX71UNMtXYGhED4qChDaR1KqHuL
 NNFkLRrkWrFm2iaFPt3LUpCCKSiKJgMAozjcF8IejM5Mw443zjzHzz3RZ9H/h+5C48cLn3nnP+5385/
 8OFLVvDxGbAVzuPbheKUQ8UCCHzhZA1Qsiih/e9l60cdV2Frh9pFEIWmoUqwNg+N5eqyHZq51aArJ/g
 2s3DdxOJ+EmXSzlq+YpKHFTtKTZcOSW4nKWAgk2xE5rx8a6nfwF+TQLFNtfVcqbcWZhfh9NRiJQSKSW
 pdEyJRIeZDH5lbDSKfzJO67lWYIMEAKVFzYxPfKLX618Sm41lBkH1utyyjWU0XRcBQK/Xz2ws81PXba
 9V1Ra221W/lCKsqsKHFH6kdmVTBABPHvXVrhS7cfvA8i3eCMG/2BbBmraSyCt9IQpAR+ehW4ZMnjYym
 Zpct7rDCsYTU/PzJCAXEPz9W/S2hDZ3Kq9AabH8aT1mHXMuXKx/0NDobC/bvRdPbgWO7AKklEwGvxAK
 j1h5NiCzhCASjt6prnV2NDXXke+pJs9dCVLiG31JUYkDoGpXmb29bt9BmUiGxaw2hZYIEgqPMT4aJRD
 QmBhLPzY7YyxukSjdqXacOH4Mw9Cx2bIIRXz8Dg3Q3zclZ2aSAigHmI4MCC2eNuJxPaOnMyIQ0FTDkI
 wMxd+/eO67t6oGv0a/kZ2t4nGHSCSn5fBQRPinUr7PHwI9QFX3s6Guge8zl+r2e5osTQb7o96Jca37R
 9/kF8A+T4MFYoqz5xtOuD3G08LirEoAXSfgG4x9fPNq6C2QBkZMjN18nFUoBcSBaSBo7gYgF0+LYgKz
 gBzAYRZOzYsLYJsppHVPAglAM3e52jiKeQtr3My7XCZ3sU/yX9kfipAKGtdWh2UAAAAASUVORK5CYII
 =

## mediabox 2010.07.24

=== debian/changelog ===
mediabox (2010.07.24) unstable; urgency=low

  Some networking fixes
  
  Make YouTube list Format 18 again

 -- Martin Grimme <martin.grimme@lintegra.de>  Sun, 24 Jul 2010 11:45:00 +0200

## mediabox 2010.07.29

=== debian/changelog ===
mediabox (2010.07.29) unstable; urgency=low

  Fixed bug where deleting an internet radio station always deleted the first
  in the list
  
  Option for "All Tracks" sorted by track name in the "Albums" section
  
  Performance improvements when listing indexed music
  
  Removed "lowres" parameter from mplayer command line when playing on N8x0
  because this was messing up colors in some videos

 -- Martin Grimme <martin.grimme@lintegra.de>  Thu, 29 Jul 2010 14:00:00 +0200

## mediabox 2010.09.07

=== debian/changelog ===
mediabox (2010.09.07) unstable; urgency=low

  Try to skip cover art when playing from a folder or playlist
  
  Fixed reading of ID3v2.4 tags with an extended header
  
  "Open URL" dialog for entering custom URLs
  
  Sleep Timer and MediaBox Home Widget also work while the player window is not
  visible
  
  Exports cover art and other images via D-Bus signal and a file
  
  Can load files using the command line into a running instance of MediaBox
  
  Resumes playback after restart
  
  Bigger preview thumbnails and cover art in the navigator
  
  UPnP device icons are now loaded asynchronously without blocking

 -- Martin Grimme <martin.grimme@lintegra.de>  Tue, 07 Sep 2010 06:30:00 +0200

mediabox (2010.08.08) unstable; urgency=low

  Fixed bug where deleting an internet radio station always deleted the first
  in the list
  
  Option for "All Tracks" sorted by track name in the "Albums" section
  
  Menu option for performing bulk actions on a bunch of items
  
  Performance improvements when listing indexed music
  
  Removed "lowres" parameter from mplayer command line when playing on N8x0
  because this was messing up colors in some videos
  
  Navigator window is now the main window
  
  Fixed bug where the "Recent 50" playlist was not loaded automatically and thus
  did not record entries

  Added support for AVRCP Bluetooth headset controls (thanks, mase!)

  Remember last folder when starting MediaBox

  Improved startup time

 -- Martin Grimme <martin.grimme@lintegra.de>  Sun, 08 Aug 2010 15:30:00 +0200

## mediabox 2010.09.11

=== debian/changelog ===
mediabox (2010.09.11) unstable; urgency=low

  Fixed bug where updating the playing progress got stuck
  
  Fixed fullscreen video mode to work with the Telescope app on Diablo

 -- Martin Grimme <martin.grimme@lintegra.de>  Sat, 11 Sep 2010 21:00:00 +0200

## mediabox 2010.10.16

=== debian/changelog ===
mediabox (2010.10.16) unstable; urgency=low

  Fixed some bugs and compatibility issues with UPnP MediaRenderers
  
  Implemented automated event subscription renewal for UPnP GENA
  
  Volume keys can now be used on the navigator window on Diablo
  
  Filtering of lists by searching with the keyboard
  
  YouTube player can be configured to automatically play high quality or low
  quality version

  Two new themes with bigger fonts
  
  File-index queries are case-insensitive
  
  The currently visible items have priority for thumbnailing
  
  Optimized HTTP and UDP connection handling
  
  Windowing compatibility fixes for running on WeTab MeeGo device
  
  Portrait mode support on Maemo4 Diablo with installed portrait mode support

  Fixed video aspect ratio with mplayer backend
  
  Video player automatically rotates to landscape on N900 if in portrait mode

  New logging level PROFILE (start run "MediaBox -vvvv") for profiling output  
  
  Fixed bug where input dialog windows didn't show text labels
  
  Fixed some UI glitches
  
 -- Martin Grimme <martin.grimme@lintegra.de>  Sat, 16 Oct 2010 18:45:00 +0200

## mediabox 2010.11.11

=== debian/changelog ===
mediabox (2010.11.11) unstable; urgency=low

  Performance improvements regarding very long playlists
  
  Larger display of cover art
  
  Bigger buttons
  
  SHOUTcast stations can be added to the list of internet radios
  
  Browser for camera photos
  
  Using more indices for faster lookup of entries in the file index
  
 -- Martin Grimme <martin.grimme@lintegra.de>  Thu, 11 Nov 2010 18:15:00 +0100
 

mediabox (2010.10.17) unstable; urgency=low

  Fixed some bugs and compatibility issues with UPnP MediaRenderers
  
  Implemented automated event subscription renewal for UPnP GENA
  
  Volume keys can now be used on the navigator window on Diablo
  
  Filtering of lists by searching with the keyboard
  
  YouTube player can be configured to automatically play high quality or low
  quality version

  Two new themes with bigger fonts
  
  File-index queries are case-insensitive
  
  The currently visible items have priority for thumbnailing
  
  Optimized HTTP and UDP connection handling
  
  Windowing compatibility fixes for running on WeTab MeeGo device
  
  Portrait mode support on Maemo4 Diablo with installed portrait mode support

  Fixed video aspect ratio with mplayer backend
  
  Video player automatically rotates to landscape on N900 if in portrait mode

  New logging level PROFILE (start run "MediaBox -vvvv") for profiling output  
  
  Fixed bug where input dialog windows didn't show text labels
  
  Fixed some UI glitches
  
 -- Martin Grimme <martin.grimme@lintegra.de>  Sun, 17 Oct 2010 11:55:00 +0200

=== debian/control ===
Source: mediabox
Section: user/multimedia
Priority: optional
Maintainer: Martin Grimme <martin.grimme@lintegra.de>
Build-Depends: debhelper (>= 5), python2.5-minimal
Standards-Version: 3.7.2

Package: mediabox
Architecture: any
Depends: python2.5, python-gtk2, python-gobject, python-osso, python-hildon, python-gconf, python-dbus, python-gst0.10, gstreamer0.10-flv
Description: Media Center for Nokia Internet Tablets
 MediaBox Media Center was built to handle large collections of media and lets you browse and play your music and videos and show your photos either from your memory cards, or remotely over the network via UPnP/DLNA.
XB-Maemo-Display-Name: MediaBox Media Center
XSBC-Bugtracker: https://bugs.maemo.org/enter_bug.cgi?product=MediaBox
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAAAXNSR0IArs4c6QAAAAZiS0dEAAAAAAA
 A+UO7fwAAAAlwSFlzAAAloQAAJaEBLDrLdwAAAAd0SU1FB9kKBRQKL86a0asAAAc1SURBVGje7VlbbJ
 tnGX7e7z/YjuPatePES9Mm6SLWZRykHqiKuu7E2BppEkIFxAWHmwkkJC6QgDVbm6awFCQqJC4qTYjDB
 bewCUqSreMg2AVC9AIVGKJb22TO2W7ixI79///3vS8XtiMTdevWzK0reKXXv//Plr//+Z73bKBJ0nt0
 7B0/7x/63vuyD6GJ0jd0BsysmKW6k0AAEgQ2sr//FjJDIwhLGNcmjt/yHnYzAYjIQcuynnJssgEIgJI
 AfxYbf8HAl1bnx0cBALueHMP05HDrMZB5bPTkQH/3aH9vBsYwjGHMLV7H4uLKP8sV7+ulNe9C7rVR3s
 oeqpkAfF/zPZkkBgd3Y1ffTuy5f7d8cuiwfOLRvYMdqW0vhtucY7A/VzO3sdYDAADCjELRw9z1ErJLa
 /T6dJ5S6Q45dGAw0pXefibz0J6PAsC18WEMHhtpLQBEALNAa11ThtYG0/MFytyTlv6+zO5EvP0LyQef
 SwLA8mq01RggCAuCwMAPDIJA195rzCyt0QcGdiK1Pfa06zofAYC5V77ZggyIQGtTVWOgjYY2jOXVMhh
 KdnSn3Y5U/Fj88LPJeuhtKR9gFgTaQGstRmuIYbBhMcwylytSd3ca0bbw59tC7n1VXzjeSgwQWKp2v7
 5eofnZhXJ+KR+I8YlEsFqqiIGSjo54LJFo/1Ty8HPbqln8TCtFIYFhQX4pj+z07OQ/Lv37pStvZkva8
 4ggWMgXqasrjUg4/HQkEhoEgKmJ4+h98kwLMIB6FDLw/QCszfjc70Y+Mzsz97Nsdj7QQUDrlUCYLEml
 EvFoNPKVrkdG0wAwNXkcfUPfvcMMEIGlGoXYMARiA4Ct1Oj83OJEPncdrDXllkvo7OpALBb9YjjsfDb
 90Eik6g/P3LRAtJvNgNQYYBYQVSuX6VdOLO14/PT3FxZy95JlPxCJRmlNQXb0ZMhocxZYczOPnjrvuk
 5OKWWLwCHC3LXx43zbfQC1UCoiG0s7Hj6NmQsn/1Qurp/LLeby68US1ooeke3Kzl3dbrpz+9nOzuSPH
 Mc5DeAsIN+ASOiOOPGNxG13AQAzr548Vyys/SC3mFssrq4iny+QbwSZTCfaY9EjiuirEOwDcF1I+LaX
 028nV88/g11DY5geH0b2wonnex7/9rzvVY6FI219q7YVFuFiqVSeM1q/RiI/nZp89q16wXdtfPjOAwC
 A6fFh9D4xhqmXh5G9cOLHmcdGf+l7/l4I4iyyWAm8vy7/cayy0cEdHcPV8eHWYKAuUy8PY+DoD1GhZW
 THR5YB/Hbzd+pMXZ0YRsuYUKO8MfG1mzJ1RzNxs+X/AO504938Yk6q44hmoVDNPnoWAbPcnQzUq1EWu
 VtNiKoAWJrmB03viY1UG5q714m5XonS3clA3YTuWh8wIuDmEXB7opBpFSfufuoUHvj4ufeWB5psQjet
 RvftewELOxaR/dUJzP76FGZr69sODfe4ttWrLJUEUQgErYCCMM8svH7pMhZeFADe5nbytgLoPTqGixN
 fBi5W71NHTn7MUvTpcNg9kE7Fk21t4bBtK0eElDEsFT/Q5fWKF40eXPX8vRcJci8LmprI3hHAVK2J6H
 xk5IMh1/1Of2/X/oG+7uT2RHtEiBAYgR8YeIGB72sEvobnB6h4AUql9Q+vrBSYLAuGueoDInRbAcT7j
 9ix3Q8f2rY98fODe+/rSabiykDBkAUGRLMhXwgBC3xR8IXgixJNFpEbdmNJGyIQYSEQgY3n1n46BIAB
 mNr1fQdgAVAUzaSjsdjzHxrcvctti2I2XxalFJFSAEBSmzwHWm+M0H0/IC8w0IEBM0AAgaqZTLTnAog
 ACAPQNQCNKlsFQLU1G4CCmISyrAcT8RjeeCsvlmWRbSmQourQSgDDDMPVAa6u/QdgmKuxXwQCQCkFEE
 E4cGoAQjUAdRC6QXkrAKzamgNAGW8VbMzs8spad9gmLCwXYVtqY8JWL/jrJfNGtJGNFxCRmCAgDoKS8
 UqF2sM7tcOiTSlOGvRdibUpJ1h18wFgia4YN9FfWPfxRE8mScl4m3i+prIX1MaF1dP/r4evlRCKCKSU
 sDFUKhSwvrLw0srlV3+hS0tefepYO23ZpHyrAOogNpS9NfGLuSsId1zOrwYH2JhoOtGOrlQM0YgrIdc
 mx7HgOAqOreDYFmzLEiKiQAcoF4tULCx75ZXZnyz/a/KF8sLfcw0PaTZdueH+ltvVRh/YUOXGnFjP/s
 5tvfuPum2JY44b2huJROA4NpRlQQTQhjfG6IHvQwfetCkXzpfmL/1m5c0/XOGgHGxyXP02fsBbAdDIR
 B1A3awsK5J0rVDMDaf64tHOPfdboVg/WU4HEYWFJRAOCsZby5avT10uzf5tXnRF60ohgHDjKd8o+uj3
 evLvdmBADWAazcsiJ2Ipy7VAFhGBIICwJuGAWXsM2SiA+Aa6pdC5lYkHNYCiG+iNosktO+j/hPwHnvz
 0HbQxccMAAAAASUVORK5CYII=

## mediabox 2011.05.08

=== Makefile ===
# No autotools madness here. Just a simple Makefile to satisfy dpkg-buildpackage


NAME=mediabox
ICON_FILE=maemo-data/mediabox-mc.png
DESKTOP_FILE=maemo-data/mediabox-mc.desktop
SERVICE_FILE=maemo-data/de.pycage.mediabox.service
SERVICE_FILE2=maemo-data/de.pycage.maemo.mediabox.service

# installation destination
LIBDIR=/opt/${NAME}

# files to copy into destination
COPY_FILES=com      \
	   components \
	   idtags   \
	   io       \
	   mediabox \
	   mediaplayer \
	   platforms \
	   storage  \
	   theme    \
 	   ui       \
	   upnp     \
	   utils    \
	   mimetypes.mapping \
	   MediaBox.py


EXEC_FILE=MediaBox.py



_LIBDIR=${DESTDIR}${LIBDIR}
_DESKTOPDIR=${DESTDIR}/usr/share/applications/hildon
_SERVICEDIR=${DESTDIR}/usr/share/dbus-1/services
_ICONDIR=${DESTDIR}/usr/share/icons/hicolor/scalable/apps


clean:
	find . -name "*.pyc" -exec rm "{}" \;
	find . -name "*.pyo" -exec rm "{}" \;
	find . -name "*~" -exec rm "{}" \;
	@true

all:
	@true

py-compile:
	python2.5 -O pycompile/compileall.py -x MediaBox.py ${_LIBDIR}; true
	find ${_LIBDIR} -name "*.py" | grep -v MediaBox.py | xargs rm; true

install-lib:
	mkdir -p ${_LIBDIR}
	cp -r ${COPY_FILES} ${_LIBDIR}
	chmod a+x ${_LIBDIR}/${EXEC_FILE}

install-maemo:
	mkdir -p ${_ICONDIR} ${_SERVICEDIR} ${_DESKTOPDIR}
	cp ${ICON_FILE} ${_ICONDIR}
	cp ${SERVICE_FILE} ${_SERVICEDIR}
	cp ${SERVICE_FILE2} ${_SERVICEDIR}
	cp ${DESKTOP_FILE} ${_DESKTOPDIR}

purge:
	rm -rf ${PURGE_FILES}
	
#install: install-lib install-maemo
install: install-lib install-maemo py-compile
	@true


doc:
	epydoc -n ${NAME} --parse-only -o ../www/apidoc -v \
	       --no-sourcecode --show-private --inheritance=included \
	       --parse-only \
	       com io mediaplayer storage theme ui upnp utils \
	       components/vkb/__messages__.py \
           components/mediascanner/__messages__.py \
           components/core/__messages__.py \
           components/input/__messages__.py \
           components/playlist_viewer/__messages__.py \
           components/ssdp_monitor/__messages__.py \
           components/dialog/__messages__.py \
           components/system/__messages__.py # idtags io mediabox storage theme ui

=== debian/changelog ===
mediabox (2011.05.08) unstable; urgency=low

  Added icecast directory

  Fixed YouTube playback issue (thanks to marxian from the Maemo Community!)
  
  Fixed SHOUTcast listing; however, only the top 10 stations of a genre are
  shown
  
 -- Martin Grimme <martin.grimme@lintegra.de>  Sun, 08 May 2011 11:00:00 +0200
